<template>
	<select-template ref="select" title="请选择技能水平" slo="请选择最符合你能力的标签，标签会帮你定制个性化推荐任务信息" :list="skillLevel" @submit="goAdd"></select-template>
</template>

<script>
	import testData from '@/common/textdata.js';
	import {
		getSkills
	} from '@/api/resume.js'
	import selectTemplate from './selectTemplate.vue'

	export default {
		components: {
			selectTemplate
		},
		data() {
			return {
				skillLevel: [],
				worktypesId: null,
				activeName: '',
				activeId: '',
				id: ''
			}
		},
		onLoad({
			id,
			worktypesId
		}) {
			this.id = id
			this.worktypesId = worktypesId
		},
		onShow: function() {
			this.getData()
		},
		mounted() {
			this.$refs.select.setActiveId(this.id)
		},
		methods: {
			getData: function() {
				if (this.worktypesId) {
					getSkills(this.worktypesId).then(res => {
						this.skillLevel = res.data.data
					})
				}
			},
			goAdd(res) {
				uni.$emit('setSkill', res)
				uni.navigateBack()
			},
		}
	}
</script>

<style>
</style>
